Quassel IRC - Bug #510

Channel traffic fed into network buffer too
02/02/2009 12:54 PM - kitterma

Status: Resolved Start date: 02/02/2009
Priority: Normal Due date: 02/16/2009
Assignee: EgS % Done: 100%
Category: Quassel Client Estimated time: 0.00 hour
Target version: 0.4.0

Version: 0.3.1+ 0S: Any
Description

With the current Kubuntu package, we default to freednode (called Kubuntu IRC) and #kubuntu. Traffic for #kubuntu also shows up
in the network buffer too. It looks almost like they are symlinked as if | click on one, they both unhighlight for no pending traffic. Also
it doesn't matter if | move where it is on the list.

| only see this in the mono client, but my buffer list in the split client predates the package provided list.

I'm not sure if this is my patch or some other issue. Patch attached.

Associated revisions

Revision 74b71a1dde2e2cab142a641db6e696595¢cf62493 - 02/03/2009 12:29 AM - Marcus Eggenberger

Fixes #510 - Network item shows wrong buffer

Revision 74b71a1d - 02/03/2009 12:29 AM - Marcus Eggenberger

Fixes #510 - Network item shows wrong buffer

History

#1 - 02/02/2009 01:55 PM - EgS
- File _kubuntu.png added
- File Kubuntu_IRC.png added

| was unable to reproduce this.

Applied your patch and tested it with a clean config. Only thing | did after starting the mono client was rightclicking on "Kubuntu IRC" and selected
connect.

Attached two screenshots.

#2 - 02/02/2009 01:57 PM - EgS

Are you sure it's not the chatmonitor? Some screenshots could be helpful

#3 - 02/02/2009 03:10 PM - kitterma
- File snapshot1.png added
- File snapshot2.png added
- File snapshot3.png added

Here's some screenshots ..

#4 - 02/02/2009 04:18 PM - EgS
To be honest: | don't see what's wrong with those screenshots (despite the fact that snapshot2.png and snapshot3.png look the very same).
| don't think you mean the "[ChanServ] Welcome to #Kubuntu!..." message, do you?

#5 - 02/02/2009 11:42 PM - kitterma

The issue is that the same content is in the "Kubuntu IRC" and #kubuntu buffers. Maybe it's some setting corruption issue. Let me delete the local
data and try again.
#6 - 02/02/2009 11:54 PM - kitterma
- File snapshot4.png added

#7 - 02/02/2009 11:56 PM - EgS

- Due date set to 02/16/2009

- Category set to Quassel Client

- Status changed from New to Assigned
- Assignee set to EgS

- Target version set to 0.4.0

#8 - 02/03/2009 12:29 AM - EgS
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset 74b71aidde2e2cab142a641db6e696595c{62493.
